PEX(1)

NAME
pex - pex

SYNOPSIS
pex [-o OUTPUT.PEX] [options] [-- arg1 arg2 ...]

DESCRIPTION
pex builds a PEX (Python Executable) file based on the given specifications: sources, requirements, their dependencies and other options.

OPTIONS

--version
    show program's version number and exit

-h, --help
    show this help message and exit

-o PEX_NAME, --output-file=PEX_NAME
    The name of the generated .pex file: Omiting this will run PEX immediately and not save it to a file.

-r FILE, --requirement=FILE
    Add requirements from the given requirements file. This option can be used multiple times.

-v  Turn on logging verbosity, may be specified multiple times.

--help-variables
    Print out help about the various environment variables used to change the behavior of a running PEX file.

    Resolver options:

    Tailor how to find, resolve and translate the packages that get put into the PEX environment.

--pypi, --no-pypi, --no-index
    Whether to use pypi to resolve dependencies; Default: use pypi

-f PATH/URL, --find-links=PATH/URL, --repo=PATH/URL
    Additional repository path (directory or URL) to look for requirements.

-i URL, --index=URL, --index-url=URL
    Additional cheeseshop indices to use to satisfy requirements.

--disable-cache
    Disable caching in the pex tool entirely.

--cache-dir=CACHE_DIR
    The local cache directory to use for speeding up requirement lookups. [Default: /home/buildd/.pex/build]

--cache-ttl=CACHE_TTL
    The cache TTL to use for inexact requirement specifications.

--wheel, --no-wheel, --no-use-wheel
    Whether to allow wheel distributions; Default: allow wheels

--build, --no-build
    Whether to allow building of distributions from source; Default: allow builds

    PEX output options:

    Tailor the behavior of the emitted .pex file if -o is specified.

--zip-safe, --not-zip-safe
    Whether or not the sources in the pex file are zip safe. If they are not zip safe, they will be written to disk prior to execution; Default: zip safe.

--always-write-cache
    Always write the internally cached distributions to disk prior to invoking the pex source code. This can use less memory in RAM constrained environments. [Default: False]

--ignore-errors
    Ignore run-time requirement resolution errors when invoking the pex. [Default: False]

--inherit-path
    Inherit the contents of sys.path (including sitepackages) running the pex. [Default: False]

    PEX environment options:

    Tailor the interpreter and platform targets for the PEX environment.

--python=PYTHON
    The Python interpreter to use to build the pex. Either specify an explicit path to an interpreter, or specify a binary accessible on $PATH. Default: Use current interpreter.

--python-shebang=PYTHON_SHEBANG
    The exact shebang (#!...) line to add at the top of the PEX file minus the #!. This overrides the default behavior, which picks an environment python interpreter compatible with the one used to build the PEX file.

--platform=PLATFORM
    The platform for which to build the PEX. Default: linux-x86_64

--interpreter-cache-dir=INTERPRETER_CACHE_DIR
    The interpreter cache to use for keeping track of interpreter dependencies for the pex tool. [Default: /home/buildd/.pex/interpreters]

    PEX entry point options:

    Specify what target/module the PEX should invoke if any.

-m MODULE[:SYMBOL], -e MODULE[:SYMBOL], --entry-point=MODULE[:SYMBOL]
    Set the entry point to module or module:symbol. If just specifying module, pex behaves like python -m, e.g. python -m SimpleHTTPServer. If specifying module:symbol, pex imports that symbol and invokes it as if it were main.

-c SCRIPT_NAME, --script=SCRIPT_NAME, --console-script=SCRIPT_NAME
    Set the entry point as to the script or console_script as defined by a any of the distributions in the pex. For example: "pex -c fab fabric" or "pex -c mturk boto".